UbixOS V2 2.0

Data Fields
sys_select_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_select_args:

## Data Fields
fd_set * | ex
char | ex_l_ [0]
char | ex_r_ [(sizeof(register_t)<=sizeof(fd_set *) ? 0 :sizeof(register_t) - sizeof(fd_set *))]
fd_set * | in
char | in_l_ [0]
char | in_r_ [(sizeof(register_t)<=sizeof(fd_set *) ? 0 :sizeof(register_t) - sizeof(fd_set *))]
int | nd
char | nd_l_ [0]
char | nd_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
fd_set * | ou
char | ou_l_ [0]
char | ou_r_ [(sizeof(register_t)<=sizeof(fd_set *) ? 0 :sizeof(register_t) - sizeof(fd_set *))]
struct timeval * | tv
char | tv_l_ [0]
char | tv_r_ [(sizeof(register_t)<=sizeof(struct timeval *) ? 0 :sizeof(register_t) - sizeof(struct timeval *))]

## Detailed Description

Definition at line 671 of file sysproto_posix.h.

## Field Documentation

## ◆ ex

fd_set* sys_select_args::ex

Definition at line 682 of file sysproto_posix.h.

Referenced by sys_select().

## ◆ ex_l_

char sys_select_args::ex_l_[0]

Definition at line 681 of file sysproto_posix.h.

## ◆ ex_r_

char sys_select_args::ex_r_[(sizeof(register_t)<=sizeof(fd_set *) ? 0 :sizeof(register_t) - sizeof(fd_set *))]

Definition at line 683 of file sysproto_posix.h.

## ◆ in

fd_set* sys_select_args::in

Definition at line 676 of file sysproto_posix.h.

Referenced by sys_select().

## ◆ in_l_

char sys_select_args::in_l_[0]

Definition at line 675 of file sysproto_posix.h.

## ◆ in_r_

char sys_select_args::in_r_[(sizeof(register_t)<=sizeof(fd_set *) ? 0 :sizeof(register_t) - sizeof(fd_set *))]

Definition at line 677 of file sysproto_posix.h.

## ◆ nd

int sys_select_args::nd

Definition at line 673 of file sysproto_posix.h.

Referenced by sys_select().

## ◆ nd_l_

char sys_select_args::nd_l_[0]

Definition at line 672 of file sysproto_posix.h.

## ◆ nd_r_

char sys_select_args::nd_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 674 of file sysproto_posix.h.

## ◆ ou

fd_set* sys_select_args::ou

Definition at line 679 of file sysproto_posix.h.

Referenced by sys_select().

## ◆ ou_l_

char sys_select_args::ou_l_[0]

Definition at line 678 of file sysproto_posix.h.

## ◆ ou_r_

char sys_select_args::ou_r_[(sizeof(register_t)<=sizeof(fd_set *) ? 0 :sizeof(register_t) - sizeof(fd_set *))]

Definition at line 680 of file sysproto_posix.h.

## ◆ tv

struct timeval* sys_select_args::tv

Definition at line 685 of file sysproto_posix.h.

Referenced by sys_select().

## ◆ tv_l_

char sys_select_args::tv_l_[0]

Definition at line 684 of file sysproto_posix.h.

## ◆ tv_r_

char sys_select_args::tv_r_[(sizeof(register_t)<=sizeof(struct timeval *) ? 0 :sizeof(register_t) - sizeof(struct timeval *))]

Definition at line 686 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h